# Generated from dopaminekit-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dopaminekit

Name: rubygem-%{gem_name}
Version: 4.0.0
Release: 1%{?dist}
Summary: "A class to use DopamineLabs machine learning API"
License: MIT
URL: https://github.com/DopamineLabs/DopamineKit-Ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
BuildArch: noarch

%description
This gem provides a class for interacting with the DopamineAPI from ruby.
After you have received your API key and configured the actions and
reinforcements relevant to your app on the [Dopamine Developer
Dashboard](dashboard.usedopamine.com), you may use this gem to place
'tracking', and 'reinforcement' calls from inside your app that will
communicate directly with the DopamineAPI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/dopaminekit.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 4.0.0-1
- Initial package
